
CoCoA-5 - Bug #509

SyzOfGens (CoCoA-5) does not have correct shifts

02 Apr 2014 14:45 - Anna Maria Bigatti

Status: Closed Start date: 03 Apr 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 2.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 2.25 hours

Description

/**/  Use R ::= QQ[x,y];

/**/  I := ideal(x^2, y^2, x+y);

/**/  G := gens(SyzOfGens(I));

/**/  IsHomog(G[1]);

false

It should be true, with the correct shifts.   

2014-04-08 fixed: now return true -- still needs cleaning

Related issues:

Related to CoCoA-5 - Feature #200: add modules and module operations Closed 29 Jun 2012

Related to CoCoA-5 - Feature #529: Naive version of resolution and Betti numbers Closed 09 Apr 2014

Related to CoCoALib - Feature #1206: syz, SyzOfGens: which shifts for zero? Closed 02 Aug 2018

Follows CoCoALib - Bug #510: SyzOfGens (CoCoALib): fix shifts Closed 02 Apr 2014

History

#1 - 02 Apr 2014 14:47 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoALib-0.99533 Easter14

#2 - 02 Apr 2014 14:49 - Anna Maria Bigatti

- Project changed from CoCoALib to CoCoA-5

- Category deleted (Maths Bugs)

- Target version deleted (CoCoALib-0.99533 Easter14)

#3 - 02 Apr 2014 14:50 - Anna Maria Bigatti

- Category set to Incomplete function

- Target version set to CoCoA-5.1.0 Easter14

#4 - 02 Apr 2014 14:53 - Anna Maria Bigatti

- Due date deleted (03 Apr 2014)

#5 - 02 Apr 2014 14:53 - Anna Maria Bigatti

- Subject changed from SyzOfGens does not have correct shifts to SyzOfGens (CoCoA-5) does not have correct shifts

#6 - 08 Apr 2014 16:26 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 20

- Estimated time set to 5.00 h
Fixed the code for adding the shifts.

Needs more testing and flexible interfaces.

This is essentially what we can do now to compute a resolution (still a bit verbose):

/**/ Use R ::= QQ[x,y,z];   I := ideal(x, y, z^2);

/**/ S := MinGens(SyzOfGens(I));  S;

[[y, -x, 0], [0, z^2, -y], [z^2, 0, -x]]

/**/ M := submodule(ModuleOf(S[1]), S);

/**/ S := MinGens(SyzOfGens(M));  S;

[[z^2, x, -y]]

/**/ M := submodule(ModuleOf(S[1]), S);

/**/ S := MinGens(SyzOfGens(M));  S;

[]

#7 - 08 Apr 2014 18:00 - Anna Maria Bigatti

Now we have submodule(gens) issue #200

so this is now more compact

/**/ Use R ::= QQ[x,y,z];   I := ideal(x, y, z^2);

/**/ S := MinGens(SyzOfGens(I));  S;

[[y, -x, 0], [0, z^2, -y], [z^2, 0, -x]]

/**/ S := MinGens(SyzOfGens(submodule(S)));  S;

[[z^2, x, -y]]

/**/ S := MinGens(SyzOfGens(submodule(S)));  S;

[]

#8 - 08 Apr 2014 20:13 - Anna Maria Bigatti

- % Done changed from 20 to 50

- Estimated time changed from 5.00 h to 2.00 h

Now that shifts is ported to CoCoA-5 more testing can be done.
https://cocoa.dima.unige.it/redmine/issues/200


#9 - 10 Apr 2014 18:02 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- Priority changed from Normal to High

- % Done changed from 50 to 100

(Naive resolution implemented) now shifts are tested and working fine.  Closing.

#10 - 02 Aug 2018 14:55 - Anna Maria Bigatti

- Related to Feature #1206: syz, SyzOfGens: which shifts for zero? added
